Subject: Commit in docs/usefor (usepro.xml)

From: [email-masked]
Date: Sun, 24 Aug 2008 21:10:25 -0700 (PDT)

Date: Sunday, August 24, 2008 @ 21:10:24
  Author: eagle
Revision: 4917

Add references for ABNF rules used here but defined elsewhere.

Fix one mistaken marking of a Media Type registration as ABNF.

Modified:
  docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml	2008-08-25 04:04:58 UTC (rev 4916)
+++ docs/usefor/usepro.xml	2008-08-25 04:10:24 UTC (rev 4917)
@@ -136,6 +136,40 @@
         Backus-Naur Form (ABNF) notation (including the Core Rules)
         defined in <xref target="RFC5234" /> and constructs defined in
         <xref target="USEFOR" /> and <xref target="RFC2822" />.</t>
+
+        <figure>
+          <preamble>The ABNF rules defined elsewhere and used in this
+          document are:</preamble>
+
+          <artwork type="abnf"><![CDATA[
+      CRLF                = <see [RFC5234] appendix B.1>
+      DIGIT               = <see [RFC5234] appendix B.1> 
+      HTAB                = <see [RFC5234] appendix B.1>
+      SP                  = <see [RFC5234] appendix B.1>
+      WSP                 = <see [RFC5234] appendix B.1>
+
+      argument            = <see [USEFOR] section 3.2.3>
+      article-locator     = <see [USEFOR] section 3.2.14> 
+      component           = <see [USEFOR] section 3.1.4>
+      control-command     = <see [USEFOR] section 3.2.3>
+      diag-keyword        = <see [USEFOR] section 3.1.5>
+      diag-match          = <see [USEFOR] section 3.1.5>
+      diag-other          = <see [USEFOR] section 3.1.5> 
+      dist-name           = <see [USEFOR] section 3.2.4>
+      msg-id              = <see [USEFOR] section 3.1.3>
+      newsgroup-name      = <see [USEFOR] section 3.1.4>
+      path-diagnostic     = <see [USEFOR] section 3.1.5>
+      path-identity       = <see [USEFOR] section 3.1.5>
+      path-nodot          = <see [USEFOR] section 3.1.5>
+      tail-entry          = <see [USEFOR] section 3.1.5> 
+      verb                = <see [USEFOR] section 3.2.3>
+
+      display-name        = <see [RFC2822] section 3.4>
+      local-part          = <see [RFC2822] section 3.4.1>
+      mailbox             = <see [RFC2822] section 3.4>
+      utext               = <see [RFC2822] section 3.2.6>
+]]></artwork>
+        </figure>
       </section>
 
       <section title="Definitions">
@@ -1581,7 +1615,7 @@
           <preamble>The MIME media type definition of
           application/news-checkgroups is:</preamble>
 
-          <artwork type="abnf">
+          <artwork>
    MIME type name:           application
    MIME subtype name:        news-checkgroups
    Required parameters:      none